package core.process;

import core.operation.Search;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class C_StudentSearchTeacher {
    Map<String,String> TeacherInfo=new HashMap<String, String>();
    public Map<String,String> search(String teacherID) throws Exception {
        Search search  = new Search() ;
        search.setOptions(new HashMap<>());
        String table = "teacher";
        search.addOptions("table",table);
        List<String> fields = new ArrayList<>();
        fields.add("*");
        search.addOptions("field",fields);
        Map<String,String> limits = new HashMap<>();
        limits.put("id",teacherID);
        search.addOptions("limits",limits);
        search.addOptions("start",0);
        search.addOptions("end",1);
        Map<String, Object> options = search.execute(null);
        List<String[]> result = (List<String[]>) options.get("result");
        String[] s = result.get(0);
        TeacherInfo.put("id",s[0]);
        TeacherInfo.put("name",s[2]);
        return TeacherInfo;
    }
}
